Page MenuHomePhabricator

convert dump maintenance scripts to use Maintenance::getDB instead of getConnection /wfGetDB
Closed, ResolvedPublic0 Estimated Story Points

Description

Per T183242#5357734 getConnectionRef or Maintenance::getDB are the way to go, wfGetDB is being phased out.

Both maintenance/includes/BackupDumper.php and maintenance/includes/TextPassDumper.php need fixing up.

Event Timeline

ArielGlenn triaged this task as Medium priority.Jul 23 2019, 4:34 PM
ArielGlenn created this task.
ArielGlenn moved this task from Backlog to Up Next on the Dumps-Generation board.Jul 27 2019, 5:29 AM

Change 529092 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[mediawiki/core@master] replace deprecated wfGetDB with Maintenance::getDB in dumps scripts

https://gerrit.wikimedia.org/r/529092

ArielGlenn moved this task from Up Next to Active on the Dumps-Generation board.Aug 8 2019, 1:14 PM

Change 529092 merged by jenkins-bot:
[mediawiki/core@master] replace wfGetDB (discouraged for use) with Maintenance::getDB in dumps scripts

https://gerrit.wikimedia.org/r/529092

ArielGlenn closed this task as Resolved.Sep 2 2019, 8:29 AM

This is merged and live on at least some wikis without incident, so closing.

ArielGlenn moved this task from Active to Done on the Dumps-Generation board.Sep 2 2019, 8:32 AM